#include "stdafx.h"
#include "Separator.h"


Separator::Separator(std::string s)
{
	this->s = s;
	first = true;
}


std::string Separator::operator()(void)
{
	if (first)
	{
		first = false;
		return "";
	}
	else
		return s;
}

Separator::~Separator(void)
{
}
